package com.boman.web.core.domain;

import com.boman.domain.BaseEntity;
import com.boman.domain.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 网格信息对象 grid_info
 * 
 * @author boman
 * @date 2022-01-19
 */
public class GridInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 网格id */
    private Long id;

    /** 名称 */
    @Excel(name = "名称")
    private String areaName;

    /** 排序 */
    @Excel(name = "排序")
    private String sort;

    /** 0:区域 1:网格 */
    @Excel(name = "0:区域 1:网格")
    private String type;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private String isDel;

    /** 父网格id */
    private Long pid;

    public Long getPid() {
        return pid;
    }

    public void setPid(Long pid) {
        this.pid = pid;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAreaName(String areaName) 
    {
        this.areaName = areaName;
    }

    public String getAreaName() 
    {
        return areaName;
    }

    public void setSort(String sort) 
    {
        this.sort = sort;
    }

    public String getSort() 
    {
        return sort;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setIsDel(String isDel) 
    {
        this.isDel = isDel;
    }

    public String getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("areaName", getAreaName())
            .append("sort", getSort())
            .append("type", getType())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("isDel", getIsDel())
            .toString();
    }
}
